# vim:tw=0:ts=4:sw=4:et

%define version 2.2.1
#%define buildnumber 0

%define java_arch %{nil}

%ifarch x86_64
%define java_arch .x86_64
%endif

Name:           apache-maven
Version:        %{version}
Release:        2.1
Summary:        Software project management and comprehension tool
Group:          Applications/System
License:        Apache
URL:            http://maven.apache.org/
Source0:        %{name}-%{version}-bin.tar.bz2
Source1:        settings.xml
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch

%if 0%{?suse_version}
#Requires: java-1.6.0-openjdk-devel
#%define java_home /usr/lib/jvm/java-1.6.0-openjdk%{java_arch}
Requires: jdk
%define java_home /usr/java/latest
%else
#Requires: java-1.6.0-openjdk-devel
#%define java_home /usr/lib/jvm/java-1.6.0-openjdk%{java_arch}
Requires: jdk
%define java_home /usr/java/latest
%endif

%description
Apache Maven is a software project management and comprehension tool. Based on the concept of a project object model (POM), Maven can manage a project's build, reporting and documentation from a central piece of information

%prep

%build

%check

%install
export NO_BRP_CHECK_BYTECODE_VERSION=true

#untar and install files
mkdir -p %{buildroot}/opt
mkdir -p %{buildroot}/etc/profile.d
tar xvjf %{SOURCE0} -C %{buildroot}/opt/
mv %{buildroot}/opt/%{name}-%{version} %{buildroot}/opt/%{name}
cp %{SOURCE1} %{buildroot}/opt/%{name}/conf/

#export variables and add them to $PATH
cat <<EOT > %{buildroot}/etc/profile.d/%{name}.sh
export M2_HOME=/opt/%{name}
export M2=\$M2_HOME/bin
export JAVA_HOME=%{java_home}
export MAVEN_OPTS="-XX:MaxPermSize=512m"
PATH=\$JAVA_HOME/bin:\$M2:\$PATH
EOT

chmod +x %{buildroot}/etc/profile.d/%{name}.sh

%post
/etc/profile.d/%{name}.sh

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
/opt/*
/etc/profile.d/%{name}.sh

%changelog
* Mon Aug 23 2010 Prudhvi Tella <prudhvi_tella@dell.com> 2.2.1-1
- Initial packaging
